// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class archerybutteWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new archerybutteWAddonDeed();
			}
		}

		[ Constructable ]
		public archerybutteWAddon()
		{
			AddComponent( new AddonComponent( 4106 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 4106 );
			AddComponent( ac, 0, 0, 0 );

		}

		public archerybutteWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class archerybutteWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new archerybutteWAddon();
			}
		}

		[Constructable]
		public archerybutteWAddonDeed()
		{
			Name = "archerybutteW";
		}

		public archerybutteWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}